Subject: bug#68483: Qutebrowser QT platform plugin could not be initialized

From: chris <[email-masked]>
Date: Mon, 15 Jan 2024 14:44:14 -0800

On  1月15日 月, Josselin Poiret wrote:
> Hi chris, 
> 
> chris <[email-masked]> writes:
> 
> > Related to https://issues.guix.gnu.org/67289#7
> >
> > Here is the qutebrowser 3 process shell output. Would anyone recommend a solution?
> > ```
> > $ qutebrowser
> > 20:40:33 WARNING: Could not find the Qt platform plugin "wayland" in ""
> 
> Have you installed qt-wayland?  Are you setting QT_QPA_PLATFORM
> anywhere?

Hey Josselin,

I've tried installing qtwayland through guix home by specifying "qtwayland" in my home config file. QT_QPA_PLATFORM is specified in my home config this way
```
(simple-service 'env-vars home-environment-variables-service-type
   '(("EDITOR" . "emacs")
     ("OPENER" . "sh.opener.sh")
     ("BROWSER" . "qutebrowser")
     ("GTK_IM_MODULE" . "fcitx")
     ("QT_IM_MODULE" . "fcitx")
     ("XMODIFIERS" . "@im=fcitx")
     ("QT_QPA_PLATFORM" . "wayland")
     ("QT_SCALE_FACTOR" . "1")
     ("XDG_SESSION_TYPE" . "wayland")
     ("XDG_SESSION_DESKTOP" . "sway")
     ("XDG_CURRENT_DESKTOP" . "sway")
     ("DESKTOP_SESSION" . "sway")
     ("LIBSEAT_BACKEND" . "seatd")))
```

QT_QPA_PLATFORM prints at the shell this way
```
$ echo $QT_QPA_PLATFORM
wayland
```

I tried changing "qtwayland" to "[email-masked]" in my home config and reconfiguring home. I've also tried installing qtwayland without guix home using "guix install qtwayland" but those did not resolve the issue.

I can try any suggestion and if it doesn't work, revert back using guix home switch-generation